<?
require("../conectar.php");
if($_POST["tipo"]=="insertar")
{
$sql="select id_minuta From minuta where fecha='$_POST[fi]' ";
$mensaje="Ya se Registro una junta en esta fecha";
$query=mysql_query($sql);
$num=mysql_num_rows($query);
if($num>0){echo$mensaje;}
else
{
	$sql="INSERT INTO minuta (fecha) VALUES ('$_POST[fi]')";
	mysql_query($sql);
	$id=mysql_insert_id();
	echo$mensaje="La junta ha sido registrada";
	}

}
elseif($_POST["tipo"]=="consultar")
{
$sql="SELECT fecha, id_minuta  from minuta order by fecha DESC";
$query=mysql_query($sql);
while($op=mysql_fetch_array($query))
	   {
		echo$op["id_minuta"]."ww".$op["fecha"]."ww"; 
		}
}	
elseif($_POST["tipo"]=="guardami")
{
$ids=array();
$sql="INSERT INTO act_minuta (actividad,fecha_fin,status,observacion,id_minuta) VALUES ('$_POST[act]','$_POST[fecha_fin]','0','$_POST[ob]','$_POST[id]')";
	mysql_query($sql);
	$ids=explode("-",$_POST["ids"]);
	foreach($ids as $val)
		{
		if($val!="")
			{
				$sql="INSERT INTO minuta_emple  (id_emp, id_minuta) 
				SELECT '$val', ac.id
				FROM act_minuta as ac
				ORDER BY ac.id DESC LIMIT 1";
				mysql_query($sql);
			}
		}
}	
elseif($_POST["tipo"]=="borrar")
{
$sql="DELETE FROM `act_minuta` WHERE `act_minuta`.`id` = $_POST[id] LIMIT 1;";
	mysql_query($sql);
}	
elseif($_POST["tipo"]=="status")
{
echo$sql="UPDATE act_minuta SET status='$_POST[val]' WHERE id='$_POST[id]' LIMIT 1;";
	mysql_query($sql);
}	
elseif($_POST["tipo"]=="enviamail")
{
	$tabla=base64_decode($_POST["tabla"]);
	$tablae=base64_decode($_POST["tablae"]);
	$tabla=str_replace("onclick='"," ", $tabla);
	$tabla=str_replace("img "," input type='hidden' ", $tabla);
	$css=base64_decode($_POST["css"]);
	$css=str_replace("background-image: url('../images/templatemo_body.jpg');","background-color:#49609b ;", $css);
	 $correos=base64_decode($_POST["correos"]);
	 $from="turisiscom@hotmail.com";
	 $mail="turisiscom@hotmail.com";
	 //$destinatario = $correos; 
	 $destinatario = $correos."gerenciamexrent@mexicoenrenta.com.mx"; 
     $asunto = "Minuta de Junta"; 
     $cuerpo = "<head>".$css."</head><body>Buen día se envía el estado de la minuta de la junta, Saludos.<br>".$tabla."</table>".$tablae."</body>";
     //para el envío en formato HTML 
     $headers = "MIME-Version: 1.0\r\n"; 
     $headers .= "Content-type: text/html; charset=UTF-8\r\n"; 
     //dirección del remitente 
     $headers .= "From: $from\r\n"; 
     //dirección de respuesta, si queremos que sea distinta que la del remitente 
     $headers .= "Reply-To: none\r\n"; 
     //ruta del mensaje desde origen a destino 
     $headers .= "Return-path: none\r\n"; 
     //direcciones que recibián copia 
     //echo $headers .= "Cc: $correos\r\n"; 
     //direcciones que recibirán copia oculta 
      mail($destinatario,$asunto,$cuerpo,$headers);
	  $cuerpo;
}	

